当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-30 18:53 

注册: 2008-10-30 1:16
帖子: 68
送出感谢: 0 次
接收感谢: 0 次
我刚装的UBUNTU8.4版不能安状RPM软件
安装的时候报错 说不支技的归档类行
我在添加删除里没发现能装RPM程序的软件呀


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-30 22:07 

注册: 2008-06-05 18:19
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
打开终端

首先安装 alien
sudo apt-get install alien

使用alien转换 rpm 为 deb
sudo alien -d 你的rpm.rpm

注意兼容性问题!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-31 3:09 

注册: 2008-10-30 1:16
帖子: 68
送出感谢: 0 次
接收感谢: 0 次
liurui@liurui-desktop:~$ sudo apt-get install alien
E: 无法获得锁 /var/lib/dpkg/lock - open (11 资源临时不可用)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
liurui@liurui-desktop:~$
这是怎么回事


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-31 12:09 

注册: 2008-06-22 11:30
帖子: 28
送出感谢: 0 次
接收感谢: 0 次
你可能同时开了几个软件管理:apt/aptitude/gdebi/新利得,只能同时用一个……


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-31 12:42 

注册: 2008-10-30 1:16
帖子: 68
送出感谢: 0 次
接收感谢: 0 次
liurui@liurui-desktop:~$ sudo apt-get install alien
[sudo] password for liurui:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
已经不需要下列自动安装的软件包:
linux-headers-2.6.24-19-generic linux-headers-2.6.24-19
使用 'apt-get autoremove' 来删除它们。
将会安装下列额外的软件包:
debhelper dpkg-dev gettext html2text intltool-debian libtimedate-perl patch
po-debconf
建议安装的软件包:
lsb-rpm lintian dh-make debian-keyring cvs gettext-doc diff-doc
推荐安装的软件包:
build-essential libmail-sendmail-perl libcompress-zlib-perl libmail-box-perl
下列【新】软件包将被安装:
alien debhelper dpkg-dev gettext html2text intltool-debian libtimedate-perl
patch po-debconf
共升级了 0 个软件包,新安装了 9 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 3633kB 的软件包。
操作完成后,会消耗掉 12.4MB 的额外磁盘空间。
您希望继续执行吗?[Y/n]

上面说已经不需要下列自动安装的软件包:我还装吗
谢谢


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-10-31 21:49 

注册: 2008-06-05 18:19
帖子: 14
送出感谢: 0 次
接收感谢: 0 次
已经不需要下列自动安装的软件包:
linux-headers-2.6.24-19-generic linux-headers-2.6.24-19

它指的是linux-headers-2.6.24-19-generic linux-headers-2.6.24-19这两个不用安了

这一步直接y就可以了

然后就按2L就可以


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 我刚装的UBUNTU8.4版不能安状RPM软件
帖子发表于 : 2008-11-01 0:28 

注册: 2008-10-30 1:16
帖子: 68
送出感谢: 0 次
接收感谢: 0 次
明白谢了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译